---
# Cop supports --autocorrect.
RSpec/AnyInstanceOf:
  Exclude:
    - 'ee/spec/features/issues/form_spec.rb'
    - 'ee/spec/features/projects/new_project_spec.rb'
    - 'ee/spec/features/security/project/internal_access_spec.rb'
    - 'ee/spec/features/security/project/private_access_spec.rb'
    - 'ee/spec/features/security/project/public_access_spec.rb'
    - 'ee/spec/features/users/login_spec.rb'
    - 'ee/spec/graphql/mutations/dast_on_demand_scans/create_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/oncall_schedule/create_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/oncall_schedule/destroy_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/oncall_schedule/update_spec.rb'
    - 'ee/spec/helpers/application_helper_spec.rb'
    - 'ee/spec/lib/ee/api/helpers_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rule_check_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rules/commit_check_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/membership_enforcer_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/access_spec.rb'
    - 'ee/spec/lib/gitlab/geo/log_cursor/daemon_spec.rb'
    - 'ee/spec/lib/gitlab/legacy_github_import/project_creator_spec.rb'
    - 'ee/spec/models/ee/namespace_spec.rb'
    - 'ee/spec/models/geo_node_status_spec.rb'
    - 'ee/spec/models/issue_spec.rb'
    - 'ee/spec/models/merge_request_spec.rb'
    - 'ee/spec/models/project_import_state_spec.rb'
    - 'ee/spec/models/push_rule_spec.rb'
    - 'ee/spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'ee/spec/requests/api/geo_nodes_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/projects_spec.rb'
    - 'ee/spec/requests/git_http_spec.rb'
    - 'ee/spec/requests/groups_controller_spec.rb'
    - 'ee/spec/requests/omniauth_kerberos_spec.rb'
    - 'ee/spec/requests/repositories/git_http_controller_spec.rb'
    - 'ee/spec/services/ee/git/branch_push_service_spec.rb'
    - 'ee/spec/services/merge_requests/create_from_vulnerability_data_service_spec.rb'
    - 'ee/spec/services/ee/merge_requests/refresh_service_spec.rb'
    - 'ee/spec/services/ee/users/create_service_spec.rb'
    - 'ee/spec/services/geo/container_repository_sync_service_spec.rb'
    - 'ee/spec/services/geo/framework_repository_sync_service_spec.rb'
    - 'ee/spec/services/geo/metrics_update_service_spec.rb'
    - 'ee/spec/services/groups/destroy_service_spec.rb'
    - 'ee/spec/services/groups/update_service_spec.rb'
    - 'ee/spec/services/merge_trains/check_status_service_spec.rb'
    - 'ee/spec/services/projects/destroy_service_spec.rb'
    - 'ee/spec/services/projects/group_links/destroy_service_spec.rb'
    - 'ee/spec/services/projects/update_service_spec.rb'
    - 'ee/spec/support/helpers/ee/stub_configuration.rb'
    - 'ee/spec/support/shared_examples/controllers/analytics/cycle_analytics/shared_stage_shared_examples.rb'
    - 'ee/spec/support/shared_examples/features/ultimate_trial_callout_shared_examples.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/geo/geo_logs_event_source_info_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/member_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/base_sync_service_shared_examples.rb'
    - 'ee/spec/workers/concerns/elastic/indexing_control_spec.rb'
    - 'ee/spec/workers/geo/registry_sync_worker_spec.rb'
    - 'ee/spec/workers/project_cache_worker_spec.rb'
    - 'ee/spec/workers/repository_import_worker_spec.rb'
    - 'ee/spec/workers/security/auto_fix_worker_spec.rb'
    - 'ee/spec/workers/vulnerability_exports/export_deletion_worker_spec.rb'
    - 'spec/controllers/admin/sessions_controller_spec.rb'
    - 'spec/controllers/application_controller_spec.rb'
    - 'spec/controllers/concerns/issuable_actions_spec.rb'
    - 'spec/controllers/concerns/static_object_external_storage_spec.rb'
    - 'spec/controllers/explore/projects_controller_spec.rb'
    - 'spec/controllers/groups/clusters_controller_spec.rb'
    - 'spec/controllers/groups/settings/ci_cd_controller_spec.rb'
    - 'spec/controllers/groups_controller_spec.rb'
    - 'spec/controllers/import/bitbucket_controller_spec.rb'
    - 'spec/controllers/omniauth_callbacks_controller_spec.rb'
    - 'spec/controllers/projects/artifacts_controller_spec.rb'
    - 'spec/controllers/projects/branches_controller_spec.rb'
    - 'spec/controllers/projects/clusters_controller_spec.rb'
    - 'spec/controllers/projects/commit_controller_spec.rb'
    - 'spec/controllers/projects/commits_controller_spec.rb'
    - 'spec/controllers/projects/environments_controller_spec.rb'
    - 'spec/controllers/projects/imports_controller_spec.rb'
    - 'spec/controllers/projects/jobs_controller_spec.rb'
    - 'spec/controllers/projects/labels_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/pipelines_controller_spec.rb'
    - 'spec/controllers/projects/settings/integration_hook_logs_controller_spec.rb'
    - 'spec/controllers/projects/tags_controller_spec.rb'
    - 'spec/controllers/registrations_controller_spec.rb'
    - 'spec/controllers/sessions_controller_spec.rb'
    - 'spec/controllers/snippets/notes_controller_spec.rb'
    - 'spec/controllers/snippets_controller_spec.rb'
    - 'spec/features/admin/admin_mode/login_spec.rb'
    - 'spec/features/groups/members/tabs_spec.rb'
    - 'spec/features/ide/static_object_external_storage_csp_spec.rb'
    - 'spec/features/issuables/issuable_list_spec.rb'
    - 'spec/features/issues/form_spec.rb'
    - 'spec/features/merge_request/user_creates_image_diff_notes_spec.rb'
    - 'spec/features/merge_request/user_reviews_image_spec.rb'
    - 'spec/features/merge_request/user_sees_diff_spec.rb'
    - 'spec/features/merge_request/user_sees_merge_widget_spec.rb'
    - 'spec/features/projects/clusters/gcp_spec.rb'
    - 'spec/features/projects/clusters_spec.rb'
    - 'spec/features/projects/container_registry_spec.rb'
    - 'spec/features/projects/files/user_browses_lfs_files_spec.rb'
    - 'spec/features/projects/jobs_spec.rb'
    - 'spec/features/projects/show/user_sees_setup_shortcut_buttons_spec.rb'
    - 'spec/features/snippets/embedded_snippet_spec.rb'
    - 'spec/features/usage_stats_consent_spec.rb'
    - 'spec/finders/prometheus_metrics_finder_spec.rb'
    - 'spec/graphql/mutations/alert_management/create_alert_issue_spec.rb'
    - 'spec/graphql/mutations/alert_management/http_integration/create_spec.rb'
    - 'spec/graphql/mutations/alert_management/http_integration/destroy_spec.rb'
    - 'spec/graphql/mutations/alert_management/http_integration/reset_token_spec.rb'
    - 'spec/graphql/mutations/alert_management/http_integration/update_spec.rb'
    - 'spec/graphql/mutations/alert_management/prometheus_integration/create_spec.rb'
    - 'spec/graphql/mutations/alert_management/prometheus_integration/reset_token_spec.rb'
    - 'spec/graphql/mutations/alert_management/prometheus_integration/update_spec.rb'
    - 'spec/helpers/projects_helper_spec.rb'
    - 'spec/initializers/lograge_spec.rb'
    - 'spec/lib/api/entities/merge_request_basic_spec.rb'
    - 'spec/lib/api/entities/merge_request_changes_spec.rb'
    - 'spec/lib/api/helpers_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/banzai/commit_renderer_spec.rb'
    - 'spec/lib/banzai/filter/references/external_issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/repository_link_filter_spec.rb'
    - 'spec/lib/banzai/pipeline/gfm_pipeline_spec.rb'
    - 'spec/lib/extracts_ref_spec.rb'
    - 'spec/lib/feature_spec.rb'
    - 'spec/lib/gitlab/app_logger_spec.rb'
    - 'spec/lib/gitlab/asciidoc_spec.rb'
    - 'spec/lib/gitlab/auth/auth_finders_spec.rb'
    - 'spec/lib/gitlab/auth/blocked_user_tracker_spec.rb'
    - 'spec/lib/gitlab/auth/request_authenticator_spec.rb'
    - 'spec/lib/gitlab/auth_spec.rb'
    - 'spec/lib/gitlab/checks/lfs_check_spec.rb'
    - 'spec/lib/gitlab/checks/lfs_integrity_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/base_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/local_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/processor_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/build_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/command_spec.rb'
    - 'spec/lib/gitlab/ci/templates/AWS/deploy_ecs_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/build_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/code_quality_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/deploy_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/test_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Verify/load_performance_testing_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/auto_devops_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/npm_spec.rb'
    - 'spec/lib/gitlab/ci/trace_spec.rb'
    - 'spec/lib/gitlab/current_settings_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_cache_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_spec.rb'
    - 'spec/lib/gitlab/diff/position_spec.rb'
    - 'spec/lib/gitlab/email/handler/create_issue_handler_spec.rb'
    - 'spec/lib/gitlab/etag_caching/middleware_spec.rb'
    - 'spec/lib/gitlab/exclusive_lease_helpers_spec.rb'
    - 'spec/lib/gitlab/gfm/reference_rewriter_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/blob_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/commit_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/conflicts_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/health_check_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/operation_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/praefect_info_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/ref_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/remote_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/repository_service_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/pull_request_importer_spec.rb'
    - 'spec/lib/gitlab/gpg/invalid_gpg_signature_updater_spec.rb'
    - 'spec/lib/gitlab/import_export/config_spec.rb'
    - 'spec/lib/gitlab/import_export/fast_hash_serializer_spec.rb'
    - 'spec/lib/gitlab/import_export/importer_spec.rb'
    - 'spec/lib/gitlab/import_export/lfs_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/snippets_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/version_checker_spec.rb'
    - 'spec/lib/gitlab/job_waiter_spec.rb'
    - 'spec/lib/gitlab/legacy_github_import/importer_spec.rb'
    - 'spec/lib/gitlab/legacy_github_import/project_creator_spec.rb'
    - 'spec/lib/gitlab/metrics/exporter/base_exporter_spec.rb'
    - 'spec/lib/gitlab/metrics/rack_middleware_spec.rb'
    - 'spec/lib/gitlab/metrics_spec.rb'
    - 'spec/lib/gitlab/sidekiq_daemon/monitor_spec.rb'
    - 'spec/lib/gitlab/tracking/destinations/snowplow_spec.rb'
    - 'spec/lib/gitlab/tracking_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/workhorse_spec.rb'
    - 'spec/lib/gitlab/x509/commit_spec.rb'
    - 'spec/lib/gitlab/x509/signature_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/json_web_token/rsa_token_spec.rb'
    - 'spec/lib/mattermost/command_spec.rb'
    - 'spec/lib/mattermost/team_spec.rb'
    - 'spec/lib/system_check/simple_executor_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/runner_spec.rb'
    - 'spec/models/commit_spec.rb'
    - 'spec/models/environment_spec.rb'
    - 'spec/models/hooks/service_hook_spec.rb'
    - 'spec/models/hooks/system_hook_spec.rb'
    - 'spec/models/integrations/jira_spec.rb'
    - 'spec/models/key_spec.rb'
    - 'spec/models/member_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/note_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/models/x509_certificate_spec.rb'
    - 'spec/policies/ci/build_policy_spec.rb'
    - 'spec/policies/ci/pipeline_policy_spec.rb'
    - 'spec/presenters/gitlab/blame_presenter_spec.rb'
    - 'spec/presenters/merge_request_presenter_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_artifacts_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_put_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_trace_spec.rb'
    - 'spec/requests/api/ci/runner/runners_delete_spec.rb'
    - 'spec/requests/api/ci/runner/runners_post_spec.rb'
    - 'spec/requests/api/ci/runner/runners_verify_post_spec.rb'
    - 'spec/requests/api/graphql/gitlab_schema_spec.rb'
    - 'spec/requests/api/graphql/project/error_tracking/sentry_detailed_error_request_spec.rb'
    - 'spec/requests/api/helpers_spec.rb'
    - 'spec/requests/api/internal/base_spec.rb'
    - 'spec/requests/api/maven_packages_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/project_export_spec.rb'
    - 'spec/requests/api/project_import_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/snippets_spec.rb'
    - 'spec/requests/api/todos_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/import/gitlab_projects_controller_spec.rb'
    - 'spec/routing/routing_spec.rb'
    - 'spec/serializers/merge_request_poll_cached_widget_entity_spec.rb'
    - 'spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'spec/services/application_settings/update_service_spec.rb'
    - 'spec/services/auto_merge/merge_when_pipeline_succeeds_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/ci/resource_groups/assign_resource_from_resource_group_service_spec.rb'
    - 'spec/services/ci/retry_pipeline_service_spec.rb'
    - 'spec/services/clusters/cleanup/project_namespace_service_spec.rb'
    - 'spec/services/clusters/cleanup/service_account_service_spec.rb'
    - 'spec/services/deployments/update_environment_service_spec.rb'
    - 'spec/services/draft_notes/destroy_service_spec.rb'
    - 'spec/services/events/render_service_spec.rb'
    - 'spec/services/git/branch_push_service_spec.rb'
    - 'spec/services/git/process_ref_changes_service_spec.rb'
    - 'spec/services/groups/update_service_spec.rb'
    - 'spec/services/issuable/destroy_service_spec.rb'
    - 'spec/services/issues/close_service_spec.rb'
    - 'spec/services/issues/reopen_service_spec.rb'
    - 'spec/services/members/destroy_service_spec.rb'
    - 'spec/services/merge_requests/add_todo_when_build_fails_service_spec.rb'
    - 'spec/services/merge_requests/build_service_spec.rb'
    - 'spec/services/merge_requests/merge_service_spec.rb'
    - 'spec/services/merge_requests/mergeability_check_service_spec.rb'
    - 'spec/services/merge_requests/refresh_service_spec.rb'
    - 'spec/services/merge_requests/reload_diffs_service_spec.rb'
    - 'spec/services/merge_requests/resolved_discussion_notification_service_spec.rb'
    - 'spec/services/notes/create_service_spec.rb'
    - 'spec/services/notes/render_service_spec.rb'
    - 'spec/services/packages/conan/create_package_file_service_spec.rb'
    - 'spec/services/packages/nuget/metadata_extraction_service_spec.rb'
    - 'spec/services/post_receive_service_spec.rb'
    - 'spec/services/projects/after_rename_service_spec.rb'
    - 'spec/services/projects/container_repository/delete_tags_service_spec.rb'
    - 'spec/services/projects/container_repository/gitlab/delete_tags_service_spec.rb'
    - 'spec/services/projects/container_repository/third_party/delete_tags_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/projects/fork_service_spec.rb'
    - 'spec/services/projects/import_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_download_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_object_download_list_service_spec.rb'
    - 'spec/services/projects/transfer_service_spec.rb'
    - 'spec/services/projects/update_remote_mirror_service_spec.rb'
    - 'spec/services/projects/update_service_spec.rb'
    - 'spec/services/projects/update_statistics_service_spec.rb'
    - 'spec/services/resource_events/change_labels_service_spec.rb'
    - 'spec/services/search_service_spec.rb'
    - 'spec/services/snippets/create_service_spec.rb'
    - 'spec/services/todo_service_spec.rb'
    - 'spec/services/users/destroy_service_spec.rb'
    - 'spec/spec_helper.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/helpers/api_helpers.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/ldap_helpers.rb'
    - 'spec/support/helpers/login_helpers.rb'
    - 'spec/support/helpers/rake_helpers.rb'
    - 'spec/support/helpers/stub_configuration.rb'
    - 'spec/support/helpers/stub_gitlab_calls.rb'
    - 'spec/support/import_export/common_util.rb'
    - 'spec/support/shared_contexts/email_shared_context.rb'
    - 'spec/support/shared_contexts/services/projects/container_repository/delete_tags_service_shared_context.rb'
    - 'spec/support/shared_examples/controllers/githubish_import_controller_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/issuable_notes_filter_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/issuables_requiring_filter_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/repository_lfs_file_load_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/set_sort_order_from_user_preference_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/update_invalid_issuable_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/uploads_actions_shared_examples.rb'
    - 'spec/support/shared_examples/features/archive_download_buttons_shared_examples.rb'
    - 'spec/support/shared_examples/features/snippets_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/ci/ci_trace_shared_examples.rb'
    - 'spec/support/shared_examples/models/atomic_internal_id_shared_examples.rb'
    - 'spec/support/shared_examples/models/diff_note_after_commit_shared_examples.rb'
    - 'spec/support/shared_examples/models/integrations/base_slash_commands_shared_examples.rb'
    - 'spec/support/shared_examples/models/mentionable_shared_examples.rb'
    - 'spec/support/shared_examples/models/with_uploads_shared_examples.rb'
    - 'spec/support/shared_examples/path_extraction_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/discussions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/snippets_shared_examples.rb'
    - 'spec/support/shared_examples/requests/rack_attack_shared_examples.rb'
    - 'spec/support/shared_examples/requests/snippet_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/issues_list_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/issues_move_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/issuable_shared_examples.rb'
    - 'spec/support/shared_examples/uploaders/object_storage_shared_examples.rb'
    - 'spec/support/shared_examples/workers/authorized_projects_worker_shared_example.rb'
    - 'spec/support/shared_examples/workers/reactive_cacheable_shared_examples.rb'
    - 'spec/tasks/gitlab/cleanup_rake_spec.rb'
    - 'spec/tasks/gitlab/container_registry_rake_spec.rb'
    - 'spec/tasks/gitlab/db_rake_spec.rb'
    - 'spec/tasks/gitlab/praefect_rake_spec.rb'
    - 'spec/tasks/gitlab/shell_rake_spec.rb'
    - 'spec/tasks/gitlab/x509/update_rake_spec.rb'
    - 'spec/uploaders/file_mover_spec.rb'
    - 'spec/uploaders/records_uploads_spec.rb'
    - 'spec/uploaders/workers/object_storage/migrate_uploads_worker_spec.rb'
    - 'spec/views/layouts/_head.html.haml_spec.rb'
    - 'spec/workers/build_hooks_worker_spec.rb'
    - 'spec/workers/ci/build_schedule_worker_spec.rb'
    - 'spec/workers/ci/daily_build_group_report_results_worker_spec.rb'
    - 'spec/workers/clusters/cleanup/project_namespace_worker_spec.rb'
    - 'spec/workers/clusters/cleanup/service_account_worker_spec.rb'
    - 'spec/workers/concerns/project_import_options_spec.rb'
    - 'spec/workers/create_commit_signature_worker_spec.rb'
    - 'spec/workers/create_note_diff_file_worker_spec.rb'
    - 'spec/workers/delete_diff_files_worker_spec.rb'
    - 'spec/workers/email_receiver_worker_spec.rb'
    - 'spec/workers/emails_on_push_worker_spec.rb'
    - 'spec/workers/error_tracking_issue_link_worker_spec.rb'
    - 'spec/workers/group_export_worker_spec.rb'
    - 'spec/workers/group_import_worker_spec.rb'
    - 'spec/workers/namespaces/root_statistics_worker_spec.rb'
    - 'spec/workers/new_note_worker_spec.rb'
    - 'spec/workers/object_pool/create_worker_spec.rb'
    - 'spec/workers/packages/nuget/extraction_worker_spec.rb'
    - 'spec/workers/pipeline_process_worker_spec.rb'
    - 'spec/workers/pipeline_schedule_worker_spec.rb'
    - 'spec/workers/project_cache_worker_spec.rb'
    - 'spec/workers/stage_update_worker_spec.rb'
